\section*{The REPL\label{sec:intro:repl}}

The \REPL\ is the \textit{Read-Eval-Print-Loop}. In Haskell it's
called \textit{GHCi}, for ``GHC Interactive''. All of the examples for
this book can be run from the \REPL. Each example includes a module
name and a function name which can be used to run it from the \REPL.

To activate the \REPL:

\begin{listing}
\begin{bashcode}
  cabal repl
\end{bashcode}
\end{listing}

Once in the \REPL, an example can be run by first importing the
module, and then running the code
\haskellinline|BFWP.Greeting.greeting|.

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../FunctionalWeb"
%%% TeX-engine: xetex
%%% End:
